const forms = document.getElementsByClassName("formspark")
for (let form of forms) {

	form.onsubmit = function(event) {
		event.preventDefault();
		if(event.target.classList.contains('demo')) {
			alert("Thanks for trying out the contact form. Your message won't be read by anyone because this is just a demo site")
		} else {
			submit(form)
		}
	}
}

function submit(form) {
	const url = "https://submit-form.com/" + form.dataset.formsparkid

	fetch(url, {
		method: "POST",
		headers: {
			"Content-Type": "application/json",
			Accept: "application/json",
		},
		body: JSON.stringify(Object.fromEntries(new FormData(event.target))),
	})
	.then(function (response) {
		if(!response.ok) {
			alert('There was a problem sending your message. Please contact us direct instead.')
		}

		if(response.ok) {
			alert('Message sent. We will be in touch with you shortly.')
			resetFields(form)
		}
	})
}

function resetFields(form) {
	var inputs = form.querySelectorAll('input');
	inputs.forEach(input =>  input.value = '');
	var textareas = form.querySelectorAll('textarea');
	textareas.forEach(input =>  input.value = '');
}

